- Main Page
- Classes
- Files

- File List
- File Members

# flModel.c File Reference

`#include "flGlobal.h"`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <pspgu.h>`
`#include <pspgum.h>`

Go to the source code of this file.

## Functions
void | mdl3dStatDrawTextured (Model3dStatic *inModel)
void | mdlInit ()
Model3dStatic * | mdl3dStatLoad (char *inPath)
bool | mdl3dStatSave (char *inPath, Model3dStatic *inModel)
void | mdl3dStatDraw (Model3dStatic *inModel)
void | mdl3dStatOptimize (Model3dStatic *inModel)
void | mdl3dStatFree (Model3dStatic *inModel)
Model3dAnimated * | mdl3dAnimLoad (char *inPath)
bool | mdl3dAnimSave (char *inPath, Model3dAnimated *inModel)
void | mdl3dAnimDraw (Model3dAnimated *inModel)
void | mdl3dAnimFree (Model3dAnimated *inModel)

## Function Documentation

void mdl3dAnimDraw | ( | Model3dAnimated * | inModel | ) |

Definition at line 529 of file flModel.c.

References mdl3dAnimDrawMD2(), Model3dAnimated::mdlData, Model3dAnimated::mdlType, and MODEL_ANIM_TYPE_MD2.

void mdl3dAnimFree | ( | Model3dAnimated * | inModel | ) |

Definition at line 536 of file flModel.c.

Referenced by mdl3dAnimLoadMD2().

Model3dAnimated* mdl3dAnimLoad | ( | char * | inPath | ) |

Definition at line 491 of file flModel.c.

References debugDevWarning, debugWarning, fileExtension(), mdl3dAnimLoadMD2(), memFree, and NULL.

bool mdl3dAnimSave | ( | char * | inPath,
|  | Model3dAnimated * | inModel |
| ) |  |  |

Definition at line 525 of file flModel.c.

void mdl3dStatDraw | ( | Model3dStatic * | inModel | ) |

Definition at line 215 of file flModel.c.

References debugWarning, graphicsWireframe, mdl3dStatDrawTextured(), Model3dStatic::mdlFaceCount, Model3dStatic::mdlFaces, Model3dStaticFace::mdlfVertCount, Model3dStaticFace::mdlfVerts, Model3dStatic::mdlTextureCount, Model3dStatic::mdlVerts, vertVf::vertX, vertVf::vertY, and vertVf::vertZ.

void mdl3dStatDrawTextured | ( | Model3dStatic * | inModel | ) |

Definition at line 127 of file flModel.c.

References graphicsWireframe, Model3dStatic::mdlFaceCount, Model3dStatic::mdlFaces, Model3dStaticFace::mdlfTexture, Model3dStaticFace::mdlfTexVerts, Model3dStaticFace::mdlfVertCount, Model3dStaticFace::mdlfVerts, NULL, texBind(), Texture::texMipMaps, vertTfVf::vertU, vertTfVf::vertV, vertTfVf::vertX, vertTfVf::vertY, and vertTfVf::vertZ.

Referenced by mdl3dStatDraw().

void mdl3dStatFree | ( | Model3dStatic * | inModel | ) |

Definition at line 462 of file flModel.c.

References debugWarning, Model3dStatic::mdlFaceCount, Model3dStatic::mdlFaces, Model3dStaticFace::mdlfVerts, Model3dStatic::mdlTextureCount, Model3dStatic::mdlTextures, Model3dStatic::mdlVerts, memFree, and texFree().

Referenced by mdl3dStatLoadOBJ().

Model3dStatic* mdl3dStatLoad | ( | char * | inPath | ) |

Definition at line 38 of file flModel.c.

References debugDevWarning, debugWarning, fileExtension(), mdl3dStatLoadOBJ(), mdl3dStatOptimize(), memFree, and NULL.

void mdl3dStatOptimize | ( | Model3dStatic * | inModel | ) |

Definition at line 294 of file flModel.c.

References debugWarning, Model3dStatic::mdlNormalCount, Model3dStatic::mdlOptimized, Model3dStatic::mdlTextureCount, Model3dStatic::mdlTexVertCount, Model3dStatic::mdlVertCount, Model3dStatic::mdlVerts, and vect3f_Cmp.

Referenced by mdl3dStatLoad(), and mdl3dStatSave().

bool mdl3dStatSave | ( | char * | inPath,
|  | Model3dStatic * | inModel |
| ) |  |  |

Definition at line 78 of file flModel.c.

References debugDevWarning, debugWarning, fileExtension(), mdl3dStatOptimize(), mdl3dStatSaveOBJ(), and memFree.

void mdlInit | ( |  | ) |

Definition at line 34 of file flModel.c.

Referenced by flInitialize().